%define major 1
%define libxv %mklibname xv %{major}
%define devxv %mklibname xv -d

Name: libxv
Summary:  The Xv Library
Version: 1.0.11
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{libxv}
Summary:  The Xv Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxv}
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

%files -n %{libxv}
%{_libdir}/libXv.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxv}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxv} = %{version}-%{release}
Provides: libxv-devel = %{version}-%{release}
Obsoletes: %{_lib}xv1-devel < 1.0.9-2
Obsoletes: %{_lib}xv1-static-devel < 1.0.9-2

%description -n %{devxv}
Development files for %{name}

%files -n %{devxv}
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h
%{_mandir}/man3/Xv*

#-----------------------------------------------------------

%prep
%setup -q -n libXv-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Wed Oct 05 2016 tv <tv> 1.0.11-1.mga6
+ Revision: 1058896
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.10-5.mga6
+ Revision: 946806
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.10-4.mga5
+ Revision: 749919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.10-3.mga5
+ Revision: 681904
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.10-2.mga4
+ Revision: 534474
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.0.10-1.mga4
+ Revision: 477899
- new release

* Thu Aug 22 2013 wally <wally> 1.0.9-2.mga4
+ Revision: 469331
- drop major from devel pkg name
- drop unneeded requires
- drop ancient conflicts
- drop static devel pkg

* Thu Jun 27 2013 tv <tv> 1.0.9-1.mga4
+ Revision: 447528
- new release

* Mon Jun 03 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 435883
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 397178
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222140
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.6-2.mga2
+ Revision: 170000
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 6225
- imported package libxv

